> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List prefetch audit records

GET https://rest.test.zuora.com/meters/{meterId}/prefetchAudit

List audit records for prefetch operations by processor ID with filtering and cursor-based pagination.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/mediation/audit-trail/list-prefetch-audit-records

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `meterId` (long, required) — The ID of the meter.

### Query parameters

- `operatorId` (string, required) — Unique identifier for the processor.
- `startDate` (string, optional) — Start date for filtering audit records (inclusive) in YYYY-MM-DD format. If not provided, defaults to 7 days before today (UTC).
- `endDate` (string, optional) — End date for filtering audit records (inclusive) in YYYY-MM-DD format. If not provided, defaults to today (UTC).
- `triggerType` (enum, optional) — Filter by trigger type.
  - Allowed values: `MANUAL`, `AUTOMATIC`
- `status` (list of enum, optional) — Filter by job status. Repeat this parameter to specify multiple values.
  - Allowed values: `RUNNING`, `FINISHED`, `FAILED`, `CANCELED`
- `pageSize` (integer, optional, default: 20) — Number of records to return per page.
- `cursor` (string, optional) — Cursor for pagination (obtained from `nextPage` or `previousPage` in the response).

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response

### 200

OK

- `success` (boolean, optional) — Indicates whether the request was successful.
- `data` (list of PrefetchAuditRecord, optional) — List of prefetch audit records for the specified processor.
- `previousPage` (string, optional) — Cursor or URL for the previous page of audit records, if available. Used for backward pagination.
- `nextPage` (string, optional) — Cursor or URL for the next page of audit records, if available. Used for forward pagination.
- `error` (Error, optional) — Container for error information returned by the API when the request fails.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of ProxyBadRequestResponseErrorsItems, optional)
- `success` (boolean, optional)

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

## Types

### PrefetchAuditRecord

A single prefetch job audit record.

- `jobId` (long, optional) — Prefetch job ID.
- `operatorId` (string, optional) — Processor (operator) ID.
- `definitionId` (long, optional) — Prefetch definition ID.
- `duration` (long, optional) — Job duration in milliseconds.
- `completedTime` (datetime, optional) — Timestamp when the job completed.
- `startTime` (datetime, optional) — Timestamp when the job started.
- `dataFreshness` (datetime, optional, nullable) — Data freshness timestamp, if available.
- `status` (enum, optional) — Job status.
  - Allowed values: `RUNNING`, `CANCELED`, `FINISHED`, `FAILED`
- `triggerType` (enum, optional) — Trigger type for the job.
  - Allowed values: `MANUAL`, `AUTOMATIC`
- `error` (string, optional, nullable) — Error message if the job failed; otherwise null.

### Error

- `code` (string, optional) — Machine-readable error code identifying the failure type.
- `message` (string, optional) — Human-readable description of the error that provides more context about what went wrong.
- `detail` (ErrorDetail, optional) — Additional structured details about the error, such as validation issues or parameter-specific information.

### ProxyBadRequestResponseErrorsItems

- `code` (string, optional) — Machine-readable error code identifying the failure type.
- `message` (string, optional) — Human-readable description of the error that provides more context about what went wrong.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### ErrorDetail

Additional structured details about the error, such as validation issues or parameter-specific information.

## Examples

**Response**

```json
{
  "success": true,
  "data": [
    {
      "jobId": 123456,
      "operatorId": "2c734651-1ca5-4a87-b104-fecba5bf1c35",
      "definitionId": 789,
      "duration": 45000,
      "completedTime": "2026-01-15T10:30:45Z",
      "startTime": "2026-01-15T10:30:00Z",
      "dataFreshness": "2026-01-15T10:00:00Z",
      "status": "FINISHED",
      "triggerType": "AUTOMATIC",
      "error": null
    }
  ],
  "previousPage": "null",
  "nextPage": "null"
}
```

**SDK Code**

```python Audit Trail_listPrefetchAuditRecords_example
import requests

url = "https://rest.test.zuora.com/meters/1/prefetchAudit"

querystring = {"operatorId":"2c734651-1ca5-4a87-b104-fecba5bf1c35"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Audit Trail_listPrefetchAuditRecords_example
const url = 'https://rest.test.zuora.com/meters/1/prefetchAudit?operatorId=2c734651-1ca5-4a87-b104-fecba5bf1c35';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Audit Trail_listPrefetchAuditRecords_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/meters/1/prefetchAudit?operatorId=2c734651-1ca5-4a87-b104-fecba5bf1c35"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Audit Trail_listPrefetchAuditRecords_example
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/meters/1/prefetchAudit?operatorId=2c734651-1ca5-4a87-b104-fecba5bf1c35")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Audit Trail_listPrefetchAuditRecords_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/meters/1/prefetchAudit?operatorId=2c734651-1ca5-4a87-b104-fecba5bf1c35")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Audit Trail_listPrefetchAuditRecords_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/meters/1/prefetchAudit?operatorId=2c734651-1ca5-4a87-b104-fecba5bf1c35', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Audit Trail_listPrefetchAuditRecords_example
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/meters/1/prefetchAudit?operatorId=2c734651-1ca5-4a87-b104-fecba5bf1c35");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Audit Trail_listPrefetchAuditRecords_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/meters/1/prefetchAudit?operatorId=2c734651-1ca5-4a87-b104-fecba5bf1c35")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```